Quattro9SpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9SpreadsheetInternal::State Struct Reference

the state of Quattro9Spreadsheet More...

## Public Member Functions
| State (QuattroFormulaManager::CellReferenceFunction const &readCellReference)
| constructor More...
librevenge::RVNGString | getSheetName (int id) const
| returns the ith spreadsheet More...

## Public Attributes
int | m_version
| the file version More...
std::pair< std::shared_ptr< WPSStream >, std::vector< Quattro9ParserInternal::TextEntry > > | m_documentStrings
| the document strings More...
std::pair< std::shared_ptr< WPSStream >, std::vector< WPSEntry > > | m_documentFormulas
| the document formulas More...
QuattroFormulaManager | m_formulaManager
| the formula manager More...
std::shared_ptr< Spreadsheet > | m_actualSpreadsheet
| the actual sheet More...
int | m_actualColumn
| the actual column More...
std::vector< Style > | m_stylesList
| the list of styles More...
std::map< int, std::shared_ptr< Spreadsheet > > | m_spreadsheetMap
| the map of spreadsheet More...
std::map< int, librevenge::RVNGString > | m_idToSheetNameMap
| the map id to sheet's name More...
std::map< int, librevenge::RVNGString > | m_idToUserFormatMap
| map id to user format string More...

## Detailed Description

the state of Quattro9Spreadsheet

## Constructor & Destructor Documentation

## ◆ State()

Quattro9SpreadsheetInternal::State::State | ( | QuattroFormulaManager::CellReferenceFunction const & | readCellReference | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getSheetName()

librevenge::RVNGString Quattro9SpreadsheetInternal::State::getSheetName | ( | int | id | ) | const
| inline

returns the ith spreadsheet

## Member Data Documentation

## ◆ m_actualColumn

int Quattro9SpreadsheetInternal::State::m_actualColumn

the actual column

## ◆ m_actualSpreadsheet

std::shared_ptr<Spreadsheet> Quattro9SpreadsheetInternal::State::m_actualSpreadsheet

the actual sheet

## ◆ m_documentFormulas

std::pair<std::shared_ptr<WPSStream>, std::vector<WPSEntry> > Quattro9SpreadsheetInternal::State::m_documentFormulas

the document formulas

## ◆ m_documentStrings

std::pair<std::shared_ptr<WPSStream>, std::vector<Quattro9ParserInternal::TextEntry> > Quattro9SpreadsheetInternal::State::m_documentStrings

the document strings

## ◆ m_formulaManager

QuattroFormulaManager Quattro9SpreadsheetInternal::State::m_formulaManager

the formula manager

## ◆ m_idToSheetNameMap

std::map<int, librevenge::RVNGString> Quattro9SpreadsheetInternal::State::m_idToSheetNameMap

the map id to sheet's name

Referenced by getSheetName().

## ◆ m_idToUserFormatMap

std::map<int, librevenge::RVNGString> Quattro9SpreadsheetInternal::State::m_idToUserFormatMap

map id to user format string

## ◆ m_spreadsheetMap

std::map<int, std::shared_ptr<Spreadsheet> > Quattro9SpreadsheetInternal::State::m_spreadsheetMap

the map of spreadsheet

## ◆ m_stylesList

std::vector<Style> Quattro9SpreadsheetInternal::State::m_stylesList

the list of styles

## ◆ m_version

int Quattro9SpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- Quattro9Spreadsheet.cpp